import {Meta} from "@storybook/blocks";

<Meta title="Install project" />

# Installation of @typo13/ty-ui

## Prerequisites

Before you begin, ensure you have the following installed on your machine:

- [Node.js](https://nodejs.org/) (version 22 or higher)
- [npm](https://www.npmjs.com/) (version 10 or higher)
- [React](https://www.npmjs.com/package/react) (version 108 or higher)

## Installation

To install `@typo13/ty-ui`, open your terminal and run the following command:

```bash
npm install --save @typo13/ty-ui
```

Once the library is installed, you can start using the components in your React application.

```jsx
import React from 'react';
import ReactDOM from 'react-dom';
import { Button, Typography } from '@typo13/ty-ui';

const App = () => (
  <div>
    <Typography variant="h1">Welcome to @typo13/ty-ui</Typography>
    <Button variant="primary">Click on me</Button>
  </div>
);

ReactDOM.render(<App />, document.getElementById('root'));
```